Summary: SybPERL, PERL with Sybase OpenClient lib compiled in
Name: sybperl
Version: 2.09_05
Release: 2
Copyright: GPL
Group: Utilities/Text
Packager: Mihai Ibanescu <misa@dntis.ro>
Source0: http://www.perl.com/perl/CPAN/authors/id/MEWP/sybperl-%{version}.tar.gz
Source1: http://www.mbay.net/~mpeppler/Sybperl/ctlib-linux-elf-dynamic.tar.gz
Source2: ctlib-rhlinux-fix.tar.gz
Source3: sybperl-interfaces
Source4: sybperl-CONFIG
Requires: sybperl-ctlib = %{PACKAGE_VERSION}, perl = 5.004-6

%description
SybPERL is a PERL binary with Sybase OpenClient for Linux libraries compiled
in. Sybase provides only the static versions of those libs for Linux, thus
the need of compiling a new perl binary. The perl binary will be installed
on your system with the name sybperl, so pay attention to the command you
put in the first lines of your scripts.

Using this binary you will be able to access databases on MS-SQL servers
versions 4.x and up servers, and of course Sybase SQL servers versions 10.x
and up. The Sybase OpenClient libraries for Linux don't support cursors and
no DBlib calls. So basically you get here the CTlib client API without
cursors.

You will need to edit /usr/local/sybase/interfaces file to set it up.
Examples and documentation are also provided.

%package ctlib
Summary: Dynamic Linkable Linux Client Libraries
Group: Libraries

%description ctlib
These are the client libraries for Sybase; without them you will not
be able to connect to a Sybase SQL (or MSSQL) server. Read the documentation
before trying anything smart.

%prep
%setup -T -b 0
install -m 0644 $RPM_SOURCE_DIR/sybperl-CONFIG CONFIG
install -m 0644 $RPM_SOURCE_DIR/sybperl-interfaces interfaces
cat > sybperl.sh << EOF
#!/bin/bash

SYBASE=/usr/local/sybase
export SYBASE
EOF

%build
perl Makefile.PL
make
make perl
strip perl
cd pod
pod2man sybperl.pod > sybperl.1
pod2html sybperl.pod > sybperl.html

%install
rm -rfv /usr/local/sybase
tar --extract --verbose --gunzip --file %SOURCE1 --directory /usr/local
tar --extract --verbose --gunzip --file %SOURCE2 --directory /usr/local
chown -R root.root /usr/local/sybase
make install
install -m 0555 perl /usr/bin/sybperl
install -m 0644 pod/sybperl.1 /usr/man/man1
install -m 0644 interfaces /usr/local/sybase/interfaces
install -m 0755 sybperl.sh /etc/profile.d/sybperl.sh

%post
echo 
echo "In order for sybperl to work, you need:"
echo "1. To edit the file /usr/local/sybase/interfaces to your need."
echo "2. To set the SYBASE environment variable. There is a shell script"
echo "   (/etc/profile.d/sybperl.sh) that will take care of this at login time;"
echo "   however, if this variable is not set (try \"echo $SYBASE\" to find out),"
echo "   you should either log off and log on again, or type "
echo "   \"source /etc/profile.d/sybperl.sh\"."
echo

%files 
/etc/profile.d/sybperl.sh
/usr/bin/sybperl
/usr/lib/perl5/site_perl/ctutil.pl
/usr/lib/perl5/site_perl/sql.pl
/usr/lib/perl5/site_perl/sybperl.pl
/usr/lib/perl5/site_perl/sybutil.pl
%dir /usr/lib/perl5/site_perl/Sybase
/usr/lib/perl5/site_perl/Sybase/CTlib.pm
%dir /usr/lib/perl5/site_perl/auto/Sybase
%dir /usr/lib/perl5/site_perl/auto/Sybase/CTlib
/usr/lib/perl5/site_perl/auto/Sybase/CTlib/autosplit.ix
/usr/man/man1/sybperl.1
%doc pod/sybperl.html FAQ README eg/ct*

%files ctlib
%dir /usr/local/sybase
%config /usr/local/sybase/interfaces
/usr/local/sybase/charsets
/usr/local/sybase/include
/usr/local/sybase/init
/usr/local/sybase/install
/usr/local/sybase/lib
/usr/local/sybase/locales
%doc /usr/local/sybase/sample
/usr/local/sybase/scripts
%doc /usr/local/sybase/xisql
